hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Bharat Viswanadham (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HADOOP-14910) Upgrade netty-all jar to latest 4.0.x.Final
Date Wed, 04 Oct 2017 00:43:00 GMT

    [ https://issues.apache.org/jira/browse/HADOOP-14910?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16190590#comment-16190590
] 

Bharat Viswanadham commented on HADOOP-14910:
---------------------------------------------

Hi [~vinayrpet] 
There is also other place usage of decodeComponent(param(CreateFlagParam.NAME), StandardCharsets.UTF_8);

Can we use the QueryStringDecoder here too and remove the decodeComponent method, which is
added to resolve this issue only. 

> Upgrade netty-all jar to latest 4.0.x.Final
> -------------------------------------------
>
>                 Key: HADOOP-14910
>                 URL: https://issues.apache.org/jira/browse/HADOOP-14910
>             Project: Hadoop Common
>          Issue Type: Bug
>            Reporter: Vinayakumar B
>            Assignee: Vinayakumar B
>            Priority: Critical
>         Attachments: HADOOP-14910-01.patch, HADOOP-14910-02.patch
>
>
> Upgrade netty-all jar to 4.0.37.Final version to fix latest vulnerabilities reported.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

---------------------------------------------------------------------
To unsubscribe, e-mail: common-issues-unsubscribe@hadoop.apache.org
For additional commands, e-mail: common-issues-help@hadoop.apache.org


Mime
View raw message